<template>
	<div class="hero-wrapper">
		<main class="hero-main">
			<div class="container">
				<div class="hero-logo">
					<img src="~/static/icon.png" class="hero-logo-img" />
					<h1>Baze UI</h1>
				</div>
			</div>
			<div class="hero-main-content container">
				<img src="~/static/icon.png" class="hero-img" />
				<h2 class="tagline mr-auto ml-auto">
					A minimal setup for your frontend environment
				</h2>
				<div class="btn-navigate flex responsive-hero">
					<NuxtLink to="/get-started"
						><button class="btn btn--primaryColor uppercase started-btn">
							get started
						</button></NuxtLink
					><a href="https://www.npmjs.com/package/generator-baze-nuxt"
						><button class="btn uppercase btn--ghost-grey">download</button></a
					>
				</div>
			</div>
		</main>
		<footer
			class="container flex h-center hero-footer v-center responsive-hero"
		>
			<span>Version 2.20.0</span>
			<span class="footer-divider">|</span>
			<span
				>Powered by: <a href="https://suitmedia.com/">Suitmedia.com</a></span
			>
		</footer>
	</div>
</template>

<script>
export default {
	layout: 'hero',
	data() {
		return {}
	},
	head() {
		return {
			...this.$SEOMeta({
				metaTitle: 'Suit Baze'
			})
		}
	},
	jsonld() {
		return this.$jsonLD({
			type: 'LocalBusiness',
			jsonLDObjects: {
				address: {
					'@type': 'PostalAddress',
					addressLocality: 'Jakarta, Indonesia',
					postalCode: '12510',
					streetAddress: 'Jl. Pejaten Barat II No. 3A'
				},
				email: 'contact(at)suitmedia.com',
				name: 'Suitmedia',
				telephone: '+62 21 719 6877',
				legalName: 'PT Suitmedia Kreasi Indonesia',
				location: 'Jakarta, Bandung, Yogyakarta, Singapore',
				description: 'Digital Agency Indonesia'
			}
		})
	}
}
</script>

<style lang="scss" scoped>
.hero-logo-img {
	display: none;

	@media #{$medium} {
		display: inline;
		width: 45px;
		margin-right: 10px;
	}
}

.btn--ghost-grey {
	color: #fff;
}

a {
	color: #fff;
}

.footer-divider {
	display: none;

	@media #{$medium} {
		display: inline;
		margin-right: 16px;
		margin-left: 16px;
	}
}

.hero-logo {
	display: flex;
	align-items: center;
	padding-top: 20px;
}

.started-btn {
	margin-bottom: 16px;

	@media #{$medium} {
		margin-right: 32px;
	}
}

.hero-img {
	width: 120px;
	margin-top: 30px;

	@media #{$medium} {
		width: 180px;
	}
}

.hero-main-content {
	display: flex;
	flex-direction: column;
	align-items: center;
	text-align: center;
}

.responsive-hero {
	flex-direction: column;

	@media #{$medium} {
		flex-direction: row;
	}
}

h1 {
	margin: 0;
	font-size: 30px;
}

.tagline {
	width: 80%;
	font-weight: 400;
	margin: 20px;
	font-size: 1.8rem;

	@media #{$medium} {
		width: 65%;
		margin: 30px;
	}
	@media #{$small} {
		width: 70%;
		font-size: 1.9rem;
	}
	@media #{$large} {
		width: 700px;
		font-size: 2rem;
	}
}

.uppercase {
	text-transform: uppercase;
}

body {
	margin: 0;
}

main {
	min-height: calc(98vh - 4rem);
}

footer {
	margin: auto;
	padding-top: 20px;
	padding-bottom: 20px;
	@media #{$medium} {
		margin: 0 2rem 0 2rem;
	}
}
</style>
